﻿#ifndef MYLIB_CK
#define MYLIB_CK

//    	2009.01  Y.Okamoto
//      2010.02		Revised

#include <iostream>
#include <fstream>
#include <sstream>

namespace myLib {

	using namespace std;

	//
	//		x の平方を返す
	//
	double sqr( double x );


	//
	//  文字列sの表す整数値を返す
	//
	int strToInt( string s );


	//
	//   文字列sの表す実数値を返す
	//
	double strToDouble( string s );


	bool check_c( char c );


	 //
	 //  空白で区切られた文字列からなるstring型sに
	 //  含まれるipos番目の文字列を返す
	 //
	 string SeekStr( string s, int ipos );



	 //
	 //   テキストファイルから１行ごとに読み込むためのクラス型
	 //
	 class RdTxtLn {
		 public:
		   FILE * fin;
		   int iCond;  //  0: OK,  1: End of File,  9: Open Error, -1: Not initialized
		   string s;

		   RdTxtLn(): iCond(-1) {}

		   //
		   //    nmに読み込み用テキストファイル名を設定
		   //    オープンに成功すればiCondの値は0が設定される。
		   //
		   RdTxtLn( string nm );

		   virtual ~RdTxtLn();

		   void open( string nm );
   
		   void close();

		   //
		   //   メソッドreadlineを１回呼び出すと
		   //   ファイルから１行分がstrに読み込まれる
		   //
		   int readline( string & str );
	 };

}  //  myLib

#endif

